de.caff.generics

## Class MutableDoubleIndexable.Base

- java.lang.Object
- - de.caff.generics.DoubleIndexable.Base
  - - de.caff.generics.MutableDoubleIndexable.Base

- All Implemented Interfaces:
    Copyable<MutableDoubleIndexable>, DoubleIndexable, MutableDoubleIndexable, PrimitiveDoubleIterable, Sizeable, java.lang.Comparable<DoubleIndexable>, java.lang.Iterable<java.lang.Double>
  Enclosing interface:
    MutableDoubleIndexable

      public abstract static class MutableDoubleIndexable.Base
      extends DoubleIndexable.Base
      implements MutableDoubleIndexable

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `Indexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableDoubleIndexable

      `MutableDoubleIndexable.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.DoubleIndexable

      `DoubleIndexable.DoubleIndexableSpliterator`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.MutableDoubleIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.DoubleIndexable

      `SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveDoubleIterable

      `EMPTY_DOUBLE_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.DoubleIndexable.Base

      `asBase, compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.MutableDoubleIndexable

      `asList, based, copy, copyInternally, copyOf, empty, fillFrom, fromArray, fromArray, fromByteIndexable, fromDoubleIndexable, fromFloatIndexable, fromIndexable, fromIndexable, fromIntIndexable, fromIterable, fromLongIndexable, fromShortIndexable, getCopy, headSet, init, init, initByIndex, initByIndex, order, order, reverse, revert, revert, set, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewArray, viewIndexable, viewList, zeroed`

    - ### Methods inherited from interface de.caff.generics.DoubleIndexable

      `addAllTo, addToArray, addToArray, asBase, asCollection, asIndexable, binarySearch, binarySearch, compare, deltas, doubleIterator, doubleIterator, doubleSpliterator, emptyIndexable, equal, equal, equal, equalStandard, firstMatch, firstValue, foldLeft, frozen, frozenDoubleSpliterator, get, getMod, gyt, hash, indexes, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, lastMatch, lastValue, listIterator, nextMatch, ordered, ordered, previousMatch, rotated, singleton, toArray, toList, toString, transformed, view, viewArray, viewArray, viewAsBoolean, viewAsByte, viewAsFloat, viewAsInt, viewAsInt, viewAsLong, viewAsLong, viewAsShort, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveDoubleIterable

      `average, containsDouble, containsDouble, forEachDouble, forEachDoubleFragile, spliterator, stream, sum`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Constructor Detail

    - #### Base

          public Base()